QGIS Application - Bug report #17099
GRASS init error on fresh install
2017-09-01 08:25 AM - Doug Richardson

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.12
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
invalid

Copied to github as #: 24998

Description

Steps to Repro

1. Fresh install of QGIS 2.18.12 64-bit on Windows 10 to D:\Program Files
2. Launch with shortcut titled QGIS Desktop 2.18.12 with GRASS 7.2.1

Results

The following error message displayed (also see screenshot):

GRASS init error: GRASS was not found in 'D:/Program Files/QGIS 2.18/apps/grass/grass-7.2.1' (GISBASE), provider and plugin will

not work.

Notes

| did not change anything about the GRASS configuration. I'm a new user and this is a fresh install of 2.18.12. | tried uninstalling and

reinstalling to no avail.

| also verified that something existed at the path mentioned above, though | don't know what a correct folder contents looks like.

> dir "D:/Program Files/QGIS 2.18/apps/grass/grass-7.2.1"

Directory: D:\Program Files\QGIS 2.18\apps\grass\grass-7.2.1

Mode LastWriteTime Length Name

d----- 8/31/2017 11:06 PM bin

d----- 8/31/2017 11:06 PM demolocation
d----- 8/31/2017 11:06 PM docs

d----- 8/31/2017 11:06 PM driver

d----- 8/31/2017 11:06 PM etc

d----- 8/31/2017 11:06 PM fonts

d----- 8/31/2017 11:06 PM gui

d----- 8/31/2017 11:06 PM include

d----- 8/31/2017 11:06 PM lib

d----- 8/31/2017 11:06 PM locale

d----- 8/31/2017 11:06 PM scripts

d----- 8/31/2017 11:06 PM share

d----- 8/31/2017 11:06 PM tools

-a---- 5/3/2017 9:51 AM 16307 AUTHORS
-a---- 5/3/2017 9:51 AM 1301 CHANGES
-a---- 5/3/2017 9:51 AM 1611 CITING

-a---- 5/3/2017 9:51 AM 24717 config.status
-a---- 5/3/2017 9:51 AM 3713 contributors.csv
-a---- 5/3/2017 9:51 AM 2753 contributors_extra.csv
-a---- 5/3/2017 9:51 AM 1410 COPYING
-a---- 5/3/2017 9:51 AM 17987 GPL.TXT
-a---- 5/3/2017 9:51 AM 9364 INSTALL

-a---- 5/3/2017 9:51 AM 8399 REQUIREMENTS.html
-a---- 5/3/2017 9:49 AM 10243 translation_status.json
-a---- 5/3/2017 9:51 AM 4252 translators.csv

History

#1 - 2017-09-01 08:39 AM - Doug Richardson

| tried reinstalling, this time into C:\Program Files, and now it works fine.

#2 - 2017-09-01 05:29 PM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Open to Closed

Doug Richardson wrote:

| tried reinstalling, this time into C:\Program Files, and now it works fine.

| don't think we support grass installations not in c: eventually this should be filed as feature request (which | think already exist).

#3 - 2017-09-02 03:02 AM - Doug Richardson

In the meantime, would be nice to notify the user on install in this case, because the installer allows you to put it wherever you like.

#4 - 2017-09-03 10:51 AM - Giovanni Manghi

Doug Richardson wrote:

In the meantime, would be nice to notify the user on install in this case, because the installer allows you to put it wherever you like.

one way (bug) or the other (request to warn the users) this will need to be files in the osgeo4w bug tracker.
